Skip to main content

Get Templates

GET 

/template

Retrieves a page of the saved templates of your account​

Use this endpoint to list templates, optionally filtered by name.

Request​

Query Parameters

    searchName string

    Case-insensitive substring match on the template name

    Example: Welcome
    page integer

    Page number, zero-based (default is 0)

    size integer

    Default value: 20

    Number of items per page (default is 20)

    sort string

    Default value: updatedAt,desc

    Sort by name, createdAt or updatedAt, optionally followed by ,asc or ,desc (default is updatedAt,desc)

    Example: name,asc

Responses​

successful operation

Schema
    content object[]

    List of templates for the current page

  • Array [
  • id uuid
    name string
    subject stringnullable
    previewText stringnullable
    html string
    css string
    editorType string

    Possible values: [DRAG_AND_DROP, HTML]

    Editor the template opens in. Always HTML for templates created through the API.

    createdAt int64

    Creation time in epoch milliseconds

    updatedAt int64

    Last update time in epoch milliseconds

  • ]
  • totalElements integer

    Total number of templates in the result set

    totalPages integer

    Total number of pages

    number integer

    Current page number (0-indexed)

    size integer

    Page size

Loading...